Bug 179855 - New port: science/sigrok-cli
Summary: New port: science/sigrok-cli
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-22 23:30 UTC by Uffe Jakobsen
Modified: 2014-01-03 00:20 UTC (History)
0 users

See Also:


Attachments
file.shar (11.13 KB, text/plain)
2013-06-22 23:30 UTC, Uffe Jakobsen
no flags Details
freebsd-port-sigrok-cli.shar.txt (2.64 KB, text/plain; charset=UTF-8)
2013-06-23 22:39 UTC, Uffe Jakobsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2013-06-22 23:30:00 UTC
New port: science/sigrok-cli

The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source signal analysis software suite that supports
various device types, such as logic analyzers, MSOs, oscilloscopes,
multimeters, LCR meters, sound level meters, thermometers, 
hygrometers, anemometers, light meters, DAQs, dataloggers, 
function generators, spectrum analyzers, power supplies,
GPIB interfaces, and more. 

WWW: http://sigrok.org/

Fix: Patch attached with submission follows:
Comment 1 Uffe Jakobsen 2013-06-23 22:39:15 UTC
Doh - wrong pkg-plist - New shar attached to this email

/Uffe
Comment 2 Uffe Jakobsen 2013-07-08 15:17:59 UTC
ping ?
Comment 3 Max Brazhnikov freebsd_committer 2013-07-14 15:36:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 Uffe Jakobsen 2013-08-12 20:51:06 UTC
Any news on this one ?

If there is something wrong with this port - then please let me know.
Comment 5 Uffe Jakobsen 2013-08-25 21:16:22 UTC
This port have now passed two months in ports-limbo...

If there is something wrong with this port I would really like to know.
Comment 6 Max Brazhnikov freebsd_committer 2013-08-26 10:05:40 UTC
Responsible Changed
From-To: makc->freebsd-ports-bugs

Return all PR assigned to me to the pool.
Comment 7 Uffe Jakobsen 2013-09-24 21:53:47 UTC
This port have now passed 3 months in ports-limbo...   :-(

If there is something wrong with this port I would really like to know.
Comment 8 Uffe Jakobsen 2013-10-16 12:49:08 UTC
ping ???
Comment 9 Jason Helfman freebsd_committer 2013-12-30 20:24:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 10 dfilter service freebsd_committer 2014-01-03 00:13:20 UTC
Author: jgh
Date: Fri Jan  3 00:13:11 2014
New Revision: 338510
URL: http://svnweb.freebsd.org/changeset/ports/338510

Log:
  The sigrok project aims at creating a portable, cross-platform,
  Free/Libre/Open-Source signal analysis software suite that supports
  various device types, such as logic analyzers, MSOs, oscilloscopes,
  multimeters, LCR meters, sound level meters, thermometers,
  hygrometers, anemometers, light meters, DAQs, dataloggers,
  function generators, spectrum analyzers, power supplies,
  GPIB interfaces, and more.
  
  sigrok-cli is a command-line tool written in C, which uses both libsigrok
  and libsigrokdecode to provide the basic sigrok functionality from the
  command-line. Among other things, it's useful for scripting purposes.
  
  WWW: http://sigrok.org/
  
  PR:		ports/179855
  Submitted by:	Uffe Jakobsen <uffe@uffe.org>

Added:
  head/science/sigrok-cli/
  head/science/sigrok-cli/Makefile   (contents, props changed)
  head/science/sigrok-cli/distinfo   (contents, props changed)
  head/science/sigrok-cli/pkg-descr   (contents, props changed)
Modified:
  head/science/Makefile

Modified: head/science/Makefile
==============================================================================
--- head/science/Makefile	Fri Jan  3 00:10:51 2014	(r338509)
+++ head/science/Makefile	Fri Jan  3 00:13:11 2014	(r338510)
@@ -174,6 +174,7 @@
     SUBDIR += ruby-gphys
     SUBDIR += ruby-netcdf
     SUBDIR += rubygem-ai4r
+    SUBDIR += sigrok-cli
     SUBDIR += silo
     SUBDIR += simlib
     SUBDIR += step

Added: head/science/sigrok-cli/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/sigrok-cli/Makefile	Fri Jan  3 00:13:11 2014	(r338510)
@@ -0,0 +1,23 @@
+# Created by: Uffe Jakobsen <uffe@uffe.org>
+# $FreeBSD$
+
+PORTNAME=	sigrok-cli
+PORTVERSION=	0.4.0
+CATEGORIES=	science cad
+MASTER_SITES=	http://sigrok.org/download/source/sigrok-cli/
+
+MAINTAINER=	uffe@uffe.org
+COMMENT=	Framework for hardware logic analyzers, CLI client
+
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	libsigrok.so:${PORTSDIR}/devel/libsigrok \
+		libsigrokdecode.so:${PORTSDIR}/devel/libsigrokdecode
+
+PLIST_FILES=	bin/sigrok-cli man/man1/sigrok-cli.1.gz
+GNU_CONFIGURE=	yes
+USES=		gmake pkgconfig pathfix
+USE_GNOME=	gtk20
+MAKE_JOBS_UNSAFE=	yes
+
+.include <bsd.port.mk>

Added: head/science/sigrok-cli/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/sigrok-cli/distinfo	Fri Jan  3 00:13:11 2014	(r338510)
@@ -0,0 +1,2 @@
+SHA256 (sigrok-cli-0.4.0.tar.gz) = f7a20003e33eaf674c75fdbc10829020b3c92f1a34bf5936eccf2c6f65387496
+SIZE (sigrok-cli-0.4.0.tar.gz) = 362171

Added: head/science/sigrok-cli/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/sigrok-cli/pkg-descr	Fri Jan  3 00:13:11 2014	(r338510)
@@ -0,0 +1,13 @@
+The sigrok project aims at creating a portable, cross-platform,
+Free/Libre/Open-Source signal analysis software suite that supports
+various device types, such as logic analyzers, MSOs, oscilloscopes,
+multimeters, LCR meters, sound level meters, thermometers, 
+hygrometers, anemometers, light meters, DAQs, dataloggers, 
+function generators, spectrum analyzers, power supplies,
+GPIB interfaces, and more. 
+
+sigrok-cli is a command-line tool written in C, which uses both libsigrok
+and libsigrokdecode to provide the basic sigrok functionality from the
+command-line. Among other things, it's useful for scripting purposes.
+
+WWW: http://sigrok.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Jason Helfman freebsd_committer 2014-01-03 00:13:30 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!